import Taro, { Component } from '@tarojs/taro';
import Authorize from '@components/authorize'
import './index.scss'
import { savePoint, updatePoint } from '@services/common'
import { connect } from '@tarojs/redux'
// import { getThumbnail } from '@utils/tools'
const iconImg = require('@assets/person/icon.png')


@connect(({ user, city }) => ({ user, city }))
export default class transactionCustomer extends Taro.Component {

  config = {
    navigationBarTitleText: '成交客户'
  }

  state = {
    list: [
      { name: '刘丽丽', phone: '15852364821', sex: '1' },
      { name: '邓亚平', phone: '13160056061', sex: '2' },
    ],
    recordId: undefined, // 埋点ID
  }

  componentWillUnmount() {
    const { recordId } = this.state
    recordId && updatePoint(recordId)
  }

  render() {
    const { list } = this.state

    return (
      <View style="padding:10px">
        {

          list.map(item => (
            <View class="item">

              <Image src={require('@assets/default-avatar.png')} className='img'></Image>
              <View className="name">
                {item.name}
                {
                  item.sex == '1' && <View style={`margin-left:10px;background-image: url(${iconImg});background-size: 100%;background-position: 0px -20px;width: 18px;height: 18px;`}></View>
                }
                {
                  item.sex == '2' && <View style={`margin-left:10px;background-image: url(${iconImg});background-size: 100%;background-position: 0px 0px;width: 18px;height: 18px;`}></View>
                }
              </View>
              <View className="phone">{item.phone} </View>
              <View  style={`background-image: url(${iconImg});background-size: 100%;background-position: 0px -44px;width: 22px;height: 22px;`}></View>
            </View>
          ))
        }

      </View>
    )
  }
}